aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenjamin C Meyer <ben@meyerhome.net>2010-03-17 02:17:19 -0400
committerBenjamin C Meyer <ben@meyerhome.net>2010-03-17 02:18:38 -0400
commit50be2f499267733c9770bd23a1a56e0e055004d5 (patch)
tree7a016004ee41caea45e7c9044381753c23555234
parent68d813165ab8f58830f6f4e1b0bbb1eb5cc87c21 (diff)
downloadgit-hooks-50be2f499267733c9770bd23a1a56e0e055004d5.tar.gz
git-hooks-50be2f499267733c9770bd23a1a56e0e055004d5.tar.bz2
Add a new commit-msg hook that checks for duplicate Signed-off-by lines
Signed-off-by: Benjamin C Meyer <ben@meyerhome.net>
-rwxr-xr-xcontrib/commit-msg/duplicate-signedoffby47
1 files changed, 47 insertions, 0 deletions
diff --git a/contrib/commit-msg/duplicate-signedoffby b/contrib/commit-msg/duplicate-signedoffby
new file mode 100755
index 0000000..d4271b1
--- /dev/null
+++ b/contrib/commit-msg/duplicate-signedoffby
@@ -0,0 +1,47 @@
+#!/bin/bash
+#
+# Copyright (c) 2010, Benjamin C. Meyer <ben@meyerhome.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+# must display the following acknowledgement:
+# This product includes software developed by Benjamin C. Meyer.
+# 4. Neither the name of the project nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+function run_test
+{
+ if [ ! -z "`grep '^Signed-off-by: ' ${1} | uniq -c | awk '{print $1}' | grep -v '1'`" ] ; then
+ echo >&2 Duplicate Signed-off-by lines.
+ exit 1
+ fi
+}
+
+case "${1}" in
+ --about )
+ echo "Check for duplicate Signed-off-by lines."
+ ;;
+ * )
+ run_test "$@"
+ ;;
+esac